<?php

if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}

define('FlipImage', '0.1.1');

/**
 * Plugin administration
 */
if (function_exists('XH_wantsPluginAdministration') && XH_wantsPluginAdministration('flipimage')
    || isset($flipimage) && $flipimage
) {
    $hjs .= '<link rel="stylesheet" type="text/css" href="'.$pth['folder']['plugins'].$plugin.'/css/backend.css">';
    $o .= print_plugin_admin('on');

 
	 
	// First page when loading the plugin.
	if ($admin == '') 
	{
		$o.='
		<h4>Plugin FlipImage </h4>';
		
		$o.=  '
		<div style="font-family: arial, sans-serif; font-size: 15px; letter-spacing: 0; border: 4px double; padding: 6px 16px; margin: 2px 0 8px 0;">
		<p style="text-align: center;">This Plugin is made for <a href="https://www.cmsimple-xh.org/"><span style="font-weight: 700; padding: 0 6px; ">CMSimple_XH 1.7 &raquo;</span></a> or higher.</p>
		<p style="text-align: center;">Optimized for <span style="font-weight: 700; padding: 0 6px; ">CMSimple_XH 1.7</span> or higher.</p>
		<p style="text-align: center;">Recommended is the current version of CMSimple_XH from <a href="http://https://www.cmsimple-xh.org/">cmsimple-xh.org&nbsp;&raquo;</a></p>
		</div>
		';
		
		$o.='
		<ul>
		<li>Version: FlipImage 0.1.1 </li>
		<li>Released: 02/2019</li>
		<li>Copyright: Thomas Geldner</li>
		
		</ul>
		<hr />
		<p><b>License Info:</b></p>
		<ul>
		<li>GPL3 or higher</li>
		<li>free for noncommercial websites</li>
		<li>fee required for commercial websites</li>
		</ul>
		<hr />
		<!--
		<p><b>Credits:</b></p>
		-->
		<p></p>
		';
		
	}
    if ($admin == 'plugin_main')
    {
        // activate backend template, if exists
       
        include_once 'content/plugins/flipimage/content.php';
		include_once $pth['folder']['plugins'] . $plugin . '/config/config.php';
		
        if(isset($_POST['changeFlip']) == TRUE)
        	SaveData();
        
        $form['action'] = '"'.$sn . '?&amp;' . $plugin;
        $form['method'].= 'post enctype="multipart/form-data"';
        $form['value_admin'] = $admin;
        $form['value_submit'] = ucfirst($tx['action']['save']);
        $form['caption'] = ucfirst(str_replace("_", " ", $plugin));
       // $form['errormsg'] = $error_msg;
        $action = 'plugin_text';
        $form['action'].='&amp;admin='.$form['value_admin'].'&amp;='.$action.'"';
        $o.='<form action='.$form['action'].' method='.$form['method'].'>';
        
		$o.= FlipImageSelectBox($FlipImageContent);
		if(isset($_POST['FlipImageSelectedImage'])){
			$o.= FlipImageContent($_POST['FlipImageSelectedImage']);
		}
        $o.= '</form>';

    }else{
    	 $o .= plugin_admin_common($action, $admin, $plugin);
    }
}
///////////////////////////////
function SaveData(){
	global $FlipImageContent;
	
	$FlipImageContent[$_POST['index']]['Index']	= "Index".($_POST['index']+1);
	$FlipImageContent[$_POST['index']]['link'] 	= $_POST['link'];
	$FlipImageContent[$_POST['index']]['image'] = $_POST['image'];
	$FlipImageContent[$_POST['index']]['h2'] 	= $_POST['h2'];
	$FlipImageContent[$_POST['index']]['text'] 	= $_POST['text'];			
	
	
 	$content = "<?php\n";
	foreach($FlipImageContent as $index=>$vs){
		$content.= "\t\$FlipImageContent[$index]['Index']	= \"".$vs['Index']."\";\n";
		$content.= "\t\$FlipImageContent[$index]['link'] 	= \"".$vs['link']."\";\n";
		$content.= "\t\$FlipImageContent[$index]['image'] 	= \"".$vs['image']."\";\n";
		$content.= "\t\$FlipImageContent[$index]['h2'] 		= \"".htmlspecialchars($vs['h2'])."\";\n";
		$content.= "\t\$FlipImageContent[$index]['text'] 	= \"".htmlspecialchars($vs['text'])."\";\n\n";
	}
	$content.= "?>\n";

	$handle = fopen('content/plugins/flipimage/content.php', 'w');
	fwrite($handle, $content);
	fclose($handle);
		 
}
function FlipImageContent($i){
	global $FlipImageContent,$plugin_tx;
	
	$output.= "<table class=flipText>";
	//$output = "";
	// Vorschau
	$output.= "<tr>
				<td><h4>FlipImage Nr. ".($i+1)."</h4></td>
				<td>&#160;</td>
				<td>";
	$output.= FlipImageShow($i);
	$output.="</td>
			</tr>";
					
	
$output.="<tr><td colspan=3>&#160;</td>
			</tr>";
	
	// link
	$output.= "<tr>
				<td><span class=small>".$plugin_tx['FlipImage']['cf_target']."</span></td>
				<td>&#160;</td>
				<td><input type=text name=link class=flipTextImage value=\"".$FlipImageContent[$i]['link']."\"></td>
				</tr>";
	
	// Bild
	$output.= "<tr>
				<td><span class=small>".$plugin_tx['FlipImage']['cf_bild']."</span></td>
				<td>&#160;</td>
				<td><input type=text name=image class=flipTextImage value=\"".$FlipImageContent[$i]['image']."\"></td>
				</tr>";
				
	
	// berschrift
	$output.= "<tr>
				<td><span class=small>".$plugin_tx['FlipImage']['cf_ueberschrift']."</span></td>
				<td>&#160;</td>
				<td><input type=text name=h2 class=flipTextImage value=\"".$FlipImageContent[$i]['h2']."\"></td>
				</tr>";
	
	// Text
	$output.= "<tr>
				<td><span class=small>".$plugin_tx['FlipImage']['cf_text']."</span></td>
				<td>&#160;</td>
				<td><textarea class=flipTextBox name=text>".htmlspecialchars_decode($FlipImageContent[$i]['text'])."</textarea></td>
				</tr>";
	
	// Absenden
	$output.= "<tr>
				<td><input type=hidden name=index value=$i></td>
				<td>&#160;</td>
				<td><input type=submit name=changeFlip value=\"".$plugin_tx['FlipImage']['cf_button']."\"></td>
				</tr>";
	
	
	$output.= "</table>";
	return $output;
}
function FlipImageShow($i){
	global $FlipImageContent, $plugin_cf;

	$output.= "
<a href=\"?".$FlipImageContent[$i]['link']."\">
<div class=\"flip-box\">
  <div class=\"flip-box-inner\">
    <div class=\"flip-box-front\">
      <img class=\"flip-image\" src=\"./userfiles/plugins/flipimage/" . $FlipImageContent[$i]['image']."\">
    </div>
    <div class=\"flip-box-back\">
      <h2 class=\"flip-h\">".$FlipImageContent[$i]['h2']."</h2>
      <p class=\"FlipBoxText\">".$FlipImageContent[$i]['text']."</p>
    </div>
  </div>
</div> 
</a>";	 
	return $output;
}
function FlipImageSelectBox($FlipImageContent){
	global $plugin_tx;
	
	$output= '<p><b>FlipImage</b></p>';
	$output.= $plugin_tx['FlipImage']['select_gallery'];

	$output.= '<select name="FlipImageSelectedImage" onchange="this.form.submit()" style="border: 2px solid #999; padding: 2px;">' . "\n";
	$output.= '<option style="padding: 0 6px;" value=-1>FlipImages</option>' . "\n";
	foreach($FlipImageContent as $k=>$vs){
		$sel = false;
		if(isset($_POST['FlipImageSelectedImage']) AND $k == $_POST['FlipImageSelectedImage']) $sel='selected=selected';
		$output.= '<option value='.$k.' '.$sel.'>'. $vs['Index'] . '</option>' . "\n";
	}	
	$output.= '</select>' . "\n";
	return $output;
}

?>